<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "damaged.php";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];
$series     = $_REQUEST["series"];
$para       = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `totqty` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `rem1` = '$searchTerm'";
        } 
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND `vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND `totqty` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND `rem1` LIKE '%$searchTerm%'";
        } 
    }
}

$query = "SELECT vouchno+0 AS voucher, `vouchdt`, `totqty`, `rem1` FROM
                        `dammain` WHERE series='$series' $cond ORDER BY `vouchno`+0 DESC LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $mlen   = strlen($r['voucher']);
    $vouch  = str_repeat("0", 6 - $mlen) . $r['voucher'];
    
    $rows[] = [ 'success'   => true,
                'vouchno'   => $vouch,
                'vouchdt'   => $r[vouchdt],
                'totqty'    => $r[totqty],
                'rem1'      => $r[rem1],
                'action'    => "<a href='$file?mode=edit&$keyfld=$r[voucher]$para'><i class='fa fa-pencil' style='font-size:1.3em;cursor:pointer;'></i></a>"
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
